%define url_ver %(echo %{version}|cut -d. -f1,2)
%define api 2
%define major 17
%define libname %mklibname %{name} %{api} %{major}
%define develname %mklibname %{name} -d

Name:           mate-desktop
Version:        1.8.1
Release:        %mkrel 4
License:        GPLv2+ and LGPLv2+ and MIT
Summary:        Library with common APIs for various MATE modules
URL:            http://mate-desktop.org/
Group:          Graphical desktop/MATE
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1:        mate-mga.gschema.override

BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libstartup-notification-1.0)
BuildRequires:  pkgconfig(gnome-doc-utils)
BuildRequires:  pkgconfig(unique-1.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(dconf)
BuildRequires:  gtk-doc
BuildRequires:  itstool
BuildRequires:  mate-common

Requires:       pygtk2
Requires:       xdg-user-dirs-gtk
Requires:       libnotify
Requires:       mate-panel
Requires:       yelp
Requires:       %{name}-schemas = %{version}-%{release}
Requires:       %{libname} = %{version}

%description
This package contains some data files and other shared components of the
MATE user environment.

%package schemas
Summary:        Gsettings schemas for %{name}
Group:          Graphical desktop/MATE
BuildArch:      noarch
Conflicts:      %{name} < 1.7.90-4

%description schemas
This package contains gsettings schemas for %{name} package
and atril (MATE Desktop document viewer).

%package -n %{libname}
Summary:        %{summary}
Group:          System/Libraries

%description -n %{libname}
This package contains an internal library
(libmatedesktop) used to implement some portions of the MATE
desktop.

%package -n %{develname}
Summary:        MATE module API library development files
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contain the development library with common API for various MATE modules.

%prep
%setup -q
%apply_patches

%build
#We are using disable-desktop-docs because docbook docs configure with Gnome 3
#https://github.com/mate-desktop/mate-desktop/issues/68
%configure2_5x \
     --disable-desktop-docs                                \
     --disable-schemas-compile                             \
     --with-gtk=2.0                                        \
     --with-x                                              \
     --disable-static                                      \
     --enable-unique                                       \
     --enable-mpaste                                       \
     --with-pnp-ids-path="%{_datadir}/misc/pnp.ids"        \
     --enable-gtk-doc-html
%make

%install
%makeinstall_std

find %{buildroot}%{_libdir} -type f -name "*.la" -delete

desktop-file-install  --vendor="%{_real_vendor}"             \
        --delete-original                                    \
        --dir=%{buildroot}%{_datadir}/applications           \
        %{buildroot}%{_datadir}/applications/mate-about.desktop

install -D -m 0644 %{_sourcedir}/mate-mga.gschema.override %{buildroot}%{_datadir}/glib-2.0/schemas/

# remove needless gsettings convert file to avoid slow session start
rm -fr  %{buildroot}%{_datadir}/MateConf

%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS COPYING COPYING.LIB NEWS README
%{_bindir}/mate-about
%{_bindir}/mate-gsettings-toggle
%{_bindir}/mpaste
%{_datadir}/applications/%{_real_vendor}-mate-about.desktop
%{_datadir}/applications/mate-user-guide.desktop
%{_datadir}/mate-about/
%{_datadir}/help/*/mate-user-guide
%{_mandir}/man1/mate-about.1*
%{_mandir}/man1/mate-gsettings-toggle.1*

%files schemas
%{_datadir}/glib-2.0/schemas/org.mate.*.gschema.xml
%{_datadir}/glib-2.0/schemas/mate-mga.gschema.override

%files -n %libname
%{_libdir}/libmate-desktop-%{api}.so.%{major}*

%files -n %develname
%doc %{_datadir}/gtk-doc/html/mate-desktop/
%{_libdir}/libmate-desktop-2.so
%{_libdir}/pkgconfig/mate-desktop-2.0.pc
%{_includedir}/mate-desktop-2.0/



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-4.mga5
+ Revision: 749583
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.8.1-3.mga5
+ Revision: 727158
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 682188
- Mageia 5 Mass Rebuild

* Tue May 06 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 620365
- Update to 1.8.1 version
- Remove mate-keyring obsoletes, gnome-keyring should obsolete it

* Fri Mar 07 2014 wally <wally> 1.8.0-2.mga5
+ Revision: 600943
- add forgotten conflicts after schema split out

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600071
- Updated to version 1.8.0

* Mon Mar 03 2014 tarakbumba <tarakbumba> 1.7.90-4.mga5
+ Revision: 599055
- Split gsettings schemas into seperate package which is needed by atril
- Tidy specfile a bit

* Mon Mar 03 2014 wally <wally> 1.7.90-3.mga5
+ Revision: 598855
- fix mate keyring obsoletes
- tag some docs as such

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-2.mga5
+ Revision: 598219
- Fix mate-panel requires; obsolete mate-keyring stuff

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598044
- Update to 1.7.x version

* Sun Jan 19 2014 tarakbumba <tarakbumba> 1.6.2-2.mga4
+ Revision: 567004
- Default to stretched background

* Thu Jan 02 2014 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 563931
-New bugfix version: 1.6.2

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531010
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 442919
- imported package mate-desktop

